[Cocoa] Add a way for Apple-internal clients to opt into recommended compatibility...